#
# Copyright (C) 2018 Nethesis S.r.l.
#
# This script is part of NethServer.
#
# NethServer is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License,
# or any later version.
#
# NethServer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with NethServer.  If not, see COPYING.
#

use strict;

package NethServer::TrustedNetworks::Default;
use NethServer::TrustedNetworks qw(register_callback);

register_callback(\&support_networks);

#
# Support IP for sos.nethesis.it
#
sub support_networks
{
    my $results = shift;

    push(@$results, {'cidr' => '172.28.0.1/32', 'provider' => 'Nethesis remote support'});
    push(@$results, {'cidr' => '172.29.0.1/32', 'provider' => 'Nethesis remote support'});

}


1;
